Image

com.j0h1.contour.server.rest.pojo

## Class Image

- java.lang.Object
- - com.j0h1.contour.server.rest.pojo.Image

- All Implemented Interfaces:
    java.io.Serializable

      public class Image
      extends java.lang.Object
      implements java.io.Serializable

  Serializable representation of an Image object, that can be mapped to a XML document.
  Author:
    Johannes Riedmann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte[]` | `data`
    `private int` | `imageId`
    `private java.lang.String` | `imagename`
    `private int` | `position`
    `private double` | `score`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Image()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getData()`
    `int` | `getImageId()`
    `java.lang.String` | `getImagename()`
    `int` | `getPosition()`
    `double` | `getScore()`
    `void` | `setData(byte[] data)`
    `void` | `setImageId(int imageId)`
    `void` | `setImagename(java.lang.String imagename)`
    `void` | `setPosition(int position)`
    `void` | `setScore(double score)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### imageId

          private int imageId

    - #### imagename

          private java.lang.String imagename

    - #### position

          private int position

    - #### score

          private double score

    - #### data

          private byte[] data

  - ### Constructor Detail

    - #### Image

          public Image()

  - ### Method Detail

    - #### getImageId

          public int getImageId()

    - #### setImageId

          public void setImageId(int imageId)

    - #### getImagename

          public java.lang.String getImagename()

    - #### setImagename

          public void setImagename(java.lang.String imagename)

    - #### getPosition

          public int getPosition()

    - #### setPosition

          public void setPosition(int position)

    - #### getData

          public byte[] getData()

    - #### setData

          public void setData(byte[] data)

    - #### getScore

          public double getScore()

    - #### setScore

          public void setScore(double score)